Incidencia #900 (new Error)

Abierto hace 4 años

Última modificación 3 años

Errores al instalar una aplicacion en la beta 4.1

Informado por: rsjosue_a Propietario: $USER
Prioridad: Muy Alta Hito: Canaima Popular 4.1~b1
Componente: Accesibilidad Versión: 4.1
Gravedad: Crítica Palabras clave: canaima, error
Cc: Asignar A:

Descripción

Al instalar una aplicación o actualizar el sistema sale el siguiente error:

Se encontraron errores al procesar:

/var/cache/apt/archives/python2.7-minimal_2.7.3-6+deb7u2_i386.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

Esto impide que se instale cualquier programa o aplicación como por ejemplo el editor gedit o el kdenlive de vídeos y son dos archivos de python que dice están duplicados.

A continuación coloco la salida completa del error:

Se actualizarán los siguientes paquetes:

python2.7 python2.7-minimal

2 actualizados, 4 se instalarán, 0 para eliminar y 0 no actualizados.
2 no instalados del todo o eliminados.
Se necesita descargar 0 B/6.879 kB de archivos.
Se utilizarán 5.912 kB de espacio de disco adicional después de esta operación.
¿Desea continuar [S/n]? s
AVISO: ¡No se han podido autenticar los siguientes paquetes!

python2.7-minimal python2.7 libpython2.7 libpeas-1.0-0 gir1.2-peas-1.0 gedit

Aviso de autenticación ignorado.
(Leyendo la base de datos ... 122390 ficheros o directorios instalados actualmente.)
Preparando para reemplazar python2.7-minimal 2.7.3-6 (usando .../python2.7-minimal_2.7.3-6+deb7u2_i386.deb) ...
Desempaquetando el reemplazo de python2.7-minimal ...
dpkg: error al procesar /var/cache/apt/archives/python2.7-minimal_2.7.3-6+deb7u2_i386.deb (--unpack):

intentando sobreescribir `/usr/lib/python2.7/lib-dynload/_hashlib.so', que está también en el paquete python2.7 2.7.3-6

dpkg-deb: error: el subproceso copiado fue terminado por la señal (Tubería rota)
Se encontraron errores al procesar:

/var/cache/apt/archives/python2.7-minimal_2.7.3-6+deb7u2_i386.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

Espero que sea suficiente la información que les envío para que soluciones dicho inconveniente.

Muchas gracias y un gran saludo a los desarrolladores. Excelente trabajo, Felicitaciones.

Saludos: Profesor Josue Rangel - Mérida

Historial de cambios

comment:1 Cambiado el 4 años por rsjosue_a

Les agradezco enviarme la corrección a tiempo para solucionar en mi equipo. Gracias.

comment:2 en respuesta a: ↑ description Cambiado el 3 años por csanabria53

Buen día no se si ya hayas resuelto tu problema...Sin aún no lo has resuelto prueba con estos comandos en la consola como root (tienes que estar conectado a internet):

dpkg -i --force-overwrite /var/cache/apt/archives/python2.7-minimal_2.7.3-6+deb7u2_i386.deb

y luego:

aptitude update

Nota: Vea TracTickets para ayuda en el uso de incidencias.